clang 10.0.0git

Classes | Namespaces | Macros | Functions
ASTReaderStmt.cpp File Reference
`#include "clang/Serialization/ASTRecordReader.h"`
`#include "clang/AST/ASTConcept.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/AttrIterator.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclAccessPair.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/DeclGroup.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/DeclarationName.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/ExprObjC.h"`
`#include "clang/AST/ExprOpenMP.h"`
`#include "clang/AST/NestedNameSpecifier.h"`
`#include "clang/AST/OpenMPClause.h"`
`#include "clang/AST/OperationKinds.h"`
`#include "clang/AST/Stmt.h"`
`#include "clang/AST/StmtCXX.h"`
`#include "clang/AST/StmtObjC.h"`
`#include "clang/AST/StmtOpenMP.h"`
`#include "clang/AST/StmtVisitor.h"`
`#include "clang/AST/TemplateBase.h"`
`#include "clang/AST/Type.h"`
`#include "clang/AST/UnresolvedSet.h"`
`#include "clang/Basic/CapturedStmt.h"`
`#include "clang/Basic/ExpressionTraits.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/Lambda.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/OpenMPKinds.h"`
`#include "clang/Basic/OperatorKinds.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/Specifiers.h"`
`#include "clang/Basic/TypeTraits.h"`
`#include "clang/Lex/Token.h"`
`#include "clang/Serialization/ASTBitCodes.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Bitstream/BitstreamReader.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstdint>`
`#include <string>`
`#include "clang/AST/StmtNodes.inc"`

Go to the source code of this file.

## Classes
class | clang::ASTStmtReader

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | STMT(Type, Base) void Visit##Type(Type *);

## Functions
static ConstraintSatisfaction | readConstraintSatisfaction (ASTRecordReader &Record)
static concepts::Requirement::SubstitutionDiagnostic * | readSubstitutionDiagnostic (ASTRecordReader &Record)

## Macro Definition Documentation

## ◆ STMT

#define STMT | ( |  | Type,
|  |  | Base
| ) |  | void Visit##Type(Type *);

Definition at line 120 of file ASTReaderStmt.cpp.

## Function Documentation

## ◆ readConstraintSatisfaction()

static ConstraintSatisfaction readConstraintSatisfaction | ( | ASTRecordReader & | Record | ) |
| static

Definition at line 728 of file ASTReaderStmt.cpp.

References clang::ConceptReference::ArgsAsWritten, clang::ConceptReference::ConceptName, clang::ASTConstraintSatisfaction::Create(), clang::ConstraintSatisfaction::Details, clang::ASTRecordReader::getContext(), clang::ConstraintSatisfaction::IsSatisfied, clang::Expr::isValueDependent(), clang::ConceptReference::NamedConcept, clang::ConceptReference::NestedNameSpec, clang::ASTRecordReader::readExpr(), clang::ASTRecordReader::readInt(), clang::ASTRecordReader::readSourceLocation(), clang::ASTRecordReader::readString(), clang::ConceptSpecializationExpr::Satisfaction, clang::ConceptSpecializationExpr::setTemplateArguments(), and clang::ConceptReference::TemplateKWLoc.

## ◆ readSubstitutionDiagnostic()

static concepts::Requirement::SubstitutionDiagnostic* readSubstitutionDiagnostic | ( | ASTRecordReader & | Record | ) |
| static

Definition at line 768 of file ASTReaderStmt.cpp.

References clang::ASTRecordReader::getContext(), clang::ASTRecordReader::readSourceLocation(), clang::ASTRecordReader::readString(), clang::Stmt::RequiresExprBits, and clang::concepts::Requirement::RK_Type.